Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.faces.lifecycle
Class FacesPageLifecycle

`java.lang.Object
oracle.adf.controller.v2.lifecycle.Phases
oracle.adf.controller.v2.lifecycle.PageLifecycle
oracle.adf.controller.v2.lifecycle.PageLifecycleImpl
oracle.adf.controller.faces.lifecycle.FacesPageLifecycle`

public class FacesPageLifecycle
extends PageLifecycleImpl

Custom implementation of the PageLifecycle tailored to Faces applications needs.

Since:
  10.1.3

Field Summary
`static java.lang.String` | `ordDomainValueHandlerName` The handlerId for OrdDomainValueHandler.

Fields inherited from class oracle.adf.controller.v2.lifecycle.PageLifecycleImpl
`DISABLE_VALIDATE_TOKENS, ordDomainInputHandlerName`

Fields inherited from class oracle.adf.controller.v2.lifecycle.PageLifecycle
`clazz, eventParam, events`

Constructor Summary
`FacesPageLifecycle()`

Method Summary
`protected void` | `addError(javax.faces.context.FacesContext context, int num, int lev, java.lang.Throwable ex)` Recursive method allowing the custom formatting of errors.
`java.lang.Class` | `getLifecycleContextClass()` Return the custom Lifecycle context class to use with this PageLifecycle.
`protected java.lang.String` | `getToken(PageLifecycleContext plContext, RegionBinding bindings)` Retrieve the token from the UIViewRoot.
`void` | `prepareRender(LifecycleContext lfContext)` Last phase before rendering a page.
`protected void` | `registerCustomInputHandler(PageLifecycleContext context)` Register OrdDomainInputHandler custom input handler to the binding context.
`void` | `reportErrors(PageLifecycleContext context)` Build an error list in a format appropriate for Faces.

Methods inherited from class oracle.adf.controller.v2.lifecycle.PageLifecycleImpl
`applyInputValues, buildEventList, buildInputValues, disableTokenValidationForRequest, findCtrlBinding, findForward, getEventMethod, handleError, handleEvent, hasErrors, initContext, initializeMethodParameters, initializeParameterValuesUsingRequestObject, invokeActionBinding, invokeEventMethod, metadataCommit, prepareModel, processComponentEvents, processEvent, processUpdateModel, shouldAllowModelUpdate, shouldValidateToken, validateInputValues, validateModelUpdates`

Methods inherited from class oracle.adf.controller.v2.lifecycle.PageLifecycle
`getEventMethodFromCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ordDomainValueHandlerName

    public static final java.lang.String ordDomainValueHandlerName

  The handlerId for OrdDomainValueHandler.
  See Also:
    Constant Field Values

Constructor Detail

### FacesPageLifecycle

    public FacesPageLifecycle()

Method Detail

### getLifecycleContextClass

    public java.lang.Class getLifecycleContextClass()

  Return the custom Lifecycle context class to use with this PageLifecycle.
  Overrides:
    `getLifecycleContextClass` in class `PageLifecycle`

### getToken

    protected java.lang.String getToken(PageLifecycleContext plContext,
                                        RegionBinding bindings)

  Retrieve the token from the UIViewRoot. In Faces, the token is persisted between requests using a viewRoot attribute.
  Overrides:
    `getToken` in class `PageLifecycleImpl`

### prepareRender

    public void prepareRender(LifecycleContext lfContext)

  Description copied from class: `Phases`
  Last phase before rendering a page. This can be used to notify a binding that rendering is about to happen and allow them to optimize data preparation or processing before the rendering begins.

  During this phase the model is refreshed.

  Overrides:
    `prepareRender` in class `PageLifecycleImpl`

### registerCustomInputHandler

    protected void registerCustomInputHandler(PageLifecycleContext context)

  Description copied from class: `PageLifecycleImpl`
  Register OrdDomainInputHandler custom input handler to the binding context.
  Overrides:
    `registerCustomInputHandler` in class `PageLifecycleImpl`

### reportErrors

    public void reportErrors(PageLifecycleContext context)

  Build an error list in a format appropriate for Faces.
  Overrides:
    `reportErrors` in class `PageLifecycleImpl`

### addError

    protected void addError(javax.faces.context.FacesContext context,
                            int num,
                            int lev,
                            java.lang.Throwable ex)

  Recursive method allowing the custom formatting of errors.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.